# Filter subscription

Returns a list of subscriptions.

Endpoint: POST /subscriptions/filter
Version: 1.0

## Header parameters:

  - `x-api-key` (string, required)
    Api key provided on integrations tab in Easyflow platform.

  - `x-api-secret` (string, required)
    Api Secret provided on integrations tab in Easyflow platform.

  - `business-id` (string, required)
    Business Identifier

## Query parameters:

  - `page` (string, required)
    Page number to access

  - `limit` (string, required)
    Number of items to be loaded per page

## Request fields (application/json):

  - `email` (string)

  - `name` (string)

  - `initialDate` (string)

  - `endDate` (string)

  - `status` (string)
    Filter by the specified status, such as: active, inactive, canceled, expired

  - `initialValue` (integer)

  - `endValue` (integer)

  - `type` (string)
    Filter by the specified types, such as: credit-card, pix, bank-billet, crypto, debit-card

  - `productIds` (array)

  - `field` (string)

  - `orderBy` (object)

  - `orderBy.orderByField` (string)
    Filter by the specified field, such as: email, product, createdAt, recurrenceValueInCents, expiration

  - `orderBy.orderDirection` (string)
    ASC or DESC

## Response 200 fields (application/json):

  - `statusCode` (integer)
    Example: 200

  - `data` (object)

  - `data.docs` (array)

  - `data.docs.id` (string)

  - `data.docs.name` (string)

  - `data.docs.periodicity` (string)

  - `data.docs.numberRecurrences` (integer)

  - `data.docs.status` (string)
    status returning: active, inactive, canceled, expired

  - `data.docs.subscriptionPaymentStatus` (string)
    status returning: canceled, pending, failed, delayed, paid

  - `data.docs.customer` (object)

  - `data.docs.customer.name` (string)

  - `data.docs.customer.email` (string)

  - `data.docs.customer.phone` (object)

  - `data.docs.customer.phone.areaCode` (string)

  - `data.docs.customer.phone.ddd` (string)

  - `data.docs.customer.phone.number` (string)

  - `data.docs.customer.phone.isMobile` (boolean)

  - `data.docs.customer.billingAddress` (object)

  - `data.docs.customer.billingAddress.zipCode` (string)

  - `data.docs.customer.billingAddress.street` (string)

  - `data.docs.customer.billingAddress.number` (string)

  - `data.docs.customer.billingAddress.complement` (string)

  - `data.docs.customer.billingAddress.neighborhood` (string)

  - `data.docs.customer.billingAddress.city` (string)

  - `data.docs.customer.billingAddress.state` (string)

  - `data.docs.customer.deliveryAddress` (object)

  - `data.docs.customer.deliveryAddress.zipCode` (string)

  - `data.docs.customer.deliveryAddress.street` (string)

  - `data.docs.customer.deliveryAddress.number` (string)

  - `data.docs.customer.deliveryAddress.complement` (string)

  - `data.docs.customer.deliveryAddress.neighborhood` (string)

  - `data.docs.customer.deliveryAddress.city` (string)

  - `data.docs.customer.deliveryAddress.state` (string)

  - `data.docs.customer.document` (object)

  - `data.docs.customer.document.type` (string)

  - `data.docs.customer.document.number` (string)

  - `data.docs.customer.userId` (string)

  - `data.docs.customer.externalReferenceId` (string)

  - `data.docs.recurrenceValueInCents` (integer)

  - `data.docs.expiration` (string)

  - `data.docs.paymentMethod` (string)

  - `data.docs.creditCard` (object)

  - `data.docs.creditCard.nickname` (string)

  - `data.docs.creditCard.last4Numbers` (string)

  - `data.docs.creditCard.holderName` (string)

  - `data.docs.creditCard.expiresAtMonth` (integer)

  - `data.docs.creditCard.expiresAtYear` (integer)

  - `data.docs.creditCard.flag` (string)

  - `data.docs.orderItem` (object)

  - `data.docs.orderItem.id` (string)

  - `data.docs.orderItem.product` (object)

  - `data.docs.orderItem.product.id` (string)

  - `data.docs.orderItem.product.name` (string)

  - `data.docs.orderItem.unitValueInCents` (integer)

  - `data.docs.orderItem.quantity` (integer)

  - `data.docs.repeatIndefinitely` (boolean)

  - `data.docs.createdAt` (string)

  - `data.docs.subscribedAt` (string)

  - `data.docs.customValue` (object)

  - `data.docs.customValue.recurrenceFrom` (integer,null)

  - `data.docs.customValue.recurrenceTo` (integer,null)

  - `data.docs.customValue.valueInCents` (integer,null)

  - `data.docs.nextPayment` (string)

  - `data.limit` (integer)

  - `data.currentPage` (integer)

  - `data.nextPage` (integer)

  - `data.totalPages` (integer)

  - `data.totalDocs` (integer)

  - `data.hasNext` (boolean)

## Response 400 fields (application/json):

  - `message` (string)
    Invalid param: []
    Example: "Invalid param: []"

  - `error` (string)
    Bad Request
    Example: "Bad Request"

  - `statusCode` (integer)
    400
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Invalid field
    Example: "Unauthorized"

  - `error` (string)
    Unauthorized
    Example: "Unauthorized"

  - `statusCode` (integer)
    401
    Example: 401

## Response 403 fields (application/json):

  - `message` (string)
    Forbidden resource
    Example: "Forbidden resource"

  - `error` (string)
    Forbidden
    Example: "Forbidden"

  - `statusCode` (integer)
    403
    Example: 403

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "Internal server error"

  - `error` (string)
    Internal Server Error
    Example: "Internal Server Error"

  - `statusCode` (integer)
    500
    Example: 500


